Odoo中文社区可以通过以下三个域名访问:shine-it.net , odoocn.org,odoo.net.cn

原论坛用户的基本信息和发帖这里都予以保留,请注意:原论坛用户无需重新注册新用户,但是您的密码需要重置

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

【请教】Centos下怎么修改odoo9自带的启动服务脚本



  • 从github/odoo上面拖下odoo9.0的源码文件,将odoo源码下/debian文件夹下面的init脚本,加载到/etc/init.d/里,修改好权限后,相关路径根据自己的安装环境修改好后,运行提示starting odoo:ok,但是并没有启动。请教Centos下怎么修改odoo9自带的启动服务脚本<br />启动脚步源码如下:<br />#!/bin/bash<br />### BEGIN INIT INFO<br /># Provides:          odoo.py<br /># Required-Start:    $remote_fs $syslog<br /># Required-Stop:    $remote_fs $syslog<br /># Default-Start:    2 3 4 5<br /># Default-Stop:      0 1 6<br /># Short-Description: Start odoo daemon at boot time<br /># Description:      Enable service provided by daemon.<br /># X-Interactive:    true<br />### END INIT INFO<br />## more info: http://wiki.debian.org/LSBInitScripts<br /><br />. /lib/lsb/init-functions<br /><br />PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin<br />DAEMON=/usr/bin/odoo.py<br />NAME=odoo<br />DESC=odoo<br />CONFIG=/etc/odoo/openerp-server.conf<br />LOGFILE=/var/log/odoo/odoo-server.log<br />PIDFILE=/var/run/${NAME}.pid<br />USER=odoo<br />export LOGNAME=$USER<br /><br />test -x $DAEMON || exit 0<br />set -e<br /><br />function _start() {<br />    start-stop-daemon --start --quiet --pidfile $PIDFILE --chuid $USER:$USER --background --make-pidfile --exec $DAEMON -- --config $CONFIG --logfile $LOGFILE<br />}<br /><br />function _stop() {<br />    start-stop-daemon --stop --quiet --pidfile $PIDFILE --oknodo --retry 3<br />    rm -f $PIDFILE<br />}<br /><br />function _status() {<br />    start-stop-daemon --status --quiet --pidfile $PIDFILE<br />    return $?<br />}<br /><br /><br />case "$1" in<br />        start)<br />                echo -n "Starting $DESC: "<br />                _start<br />                echo "ok"<br />                ;;<br />        stop)<br />                echo -n "Stopping $DESC: "<br />                _stop<br />                echo "ok"<br />                ;;<br />        restart|force-reload)<br />                echo -n "Restarting $DESC: "<br />                _stop<br />                sleep 1<br />                _start<br />                echo "ok"<br />                ;;<br />        status)<br />                echo -n "Status of $DESC: "<br />                _status && echo "running" || echo "stopped"<br />                ;;<br />        *)<br />                N=/etc/init.d/$NAME<br />                echo "Usage: $N {start|stop|restart|force-reload|status}" >&2<br />                exit 1<br />                ;;<br />esac<br /><br />exit 0



  • 从github/odoo上面拖下odoo9.0的源码文件,将odoo源码下/debian文件夹下面的init脚本,加载到/etc/init.d/里,修改好权限后,相关路径根据自己的安装环境修改好后,运行提示starting odoo:ok,但是并没有启动。请教Centos下怎么修改odoo9自带的启动服务脚本<br />启动脚步源码如下:<br />#!/bin/bash<br />### BEGIN INIT INFO<br /># Provides:          odoo.py<br /># Required-Start:    $remote_fs $syslog<br /># Required-Stop:    $remote_fs $syslog<br /># Default-Start:    2 3 4 5<br /># Default-Stop:      0 1 6<br /># Short-Description: Start odoo daemon at boot time<br /># Description:      Enable service provided by daemon.<br /># X-Interactive:    true<br />### END INIT INFO<br />## more info: http://wiki.debian.org/LSBInitScripts<br /><br />. /lib/lsb/init-functions<br /><br />PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin<br />DAEMON=/usr/bin/odoo.py<br />NAME=odoo<br />DESC=odoo<br />CONFIG=/etc/odoo/openerp-server.conf<br />LOGFILE=/var/log/odoo/odoo-server.log<br />PIDFILE=/var/run/${NAME}.pid<br />USER=odoo<br />export LOGNAME=$USER<br /><br />test -x $DAEMON || exit 0<br />set -e<br /><br />function _start() {<br />    start-stop-daemon --start --quiet --pidfile $PIDFILE --chuid $USER:$USER --background --make-pidfile --exec $DAEMON -- --config $CONFIG --logfile $LOGFILE<br />}<br /><br />function _stop() {<br />    start-stop-daemon --stop --quiet --pidfile $PIDFILE --oknodo --retry 3<br />    rm -f $PIDFILE<br />}<br /><br />function _status() {<br />    start-stop-daemon --status --quiet --pidfile $PIDFILE<br />    return $?<br />}<br /><br /><br />case "$1" in<br />        start)<br />                echo -n "Starting $DESC: "<br />                _start<br />                echo "ok"<br />                ;;<br />        stop)<br />                echo -n "Stopping $DESC: "<br />                _stop<br />                echo "ok"<br />                ;;<br />        restart|force-reload)<br />                echo -n "Restarting $DESC: "<br />                _stop<br />                sleep 1<br />                _start<br />                echo "ok"<br />                ;;<br />        status)<br />                echo -n "Status of $DESC: "<br />                _status && echo "running" || echo "stopped"<br />                ;;<br />        *)<br />                N=/etc/init.d/$NAME<br />                echo "Usage: $N {start|stop|restart|force-reload|status}" >&2<br />                exit 1<br />                ;;<br />esac<br /><br />exit 0


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待